﻿#language: ru

@ignore
@OrdersConfirmation
@exportscenarios

Функционал: Экспортные сценарии

Сценарий: Я начинаю создавать настройку формирования планов отгрузки "ИмяНастройкиФормированияПлановОтгрузок"

	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку с именем 'Справочникк2НастройкиФормированияПлановОтгрузкиОткрытьСписок'
	Тогда открылось окно 'Настройки формирования планов отгрузки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Настройка формирования планов отгрузки (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяНастройкиФормированияПлановОтгрузок'

Сценарий: Я добавляю склад отгрузки "ИмяСклада" в настройку формирования планов отгрузки

	И в таблице "СкладыОтгрузки" я нажимаю на кнопку с именем 'СкладыОтгрузкиДобавить'
	И в таблице "СкладыОтгрузки" из выпадающего списка с именем "СкладыОтгрузкиСклад" я выбираю по строке 'ИмяСклада'
	И в таблице "СкладыОтгрузки" я завершаю редактирование строки

Сценарий: Я добавляю точку доставки "ИмяТочкиДоставки" в настройку формирования планов отгрузки

	И в таблице "ТочкиДоставки" я нажимаю на кнопку с именем 'ТочкиДоставкиДобавить'
	И в таблице "ТочкиДоставки" из выпадающего списка с именем "ТочкиДоставкиТочкаДоставки" я выбираю по строке 'ИмяТочкиДоставки'
	И в таблице "ТочкиДоставки" я завершаю редактирование строки

Сценарий: Я добавляю склад получатель "ИмяСклада" в настройку формирования планов отгрузки

	И в таблице "СкладыПолучатели" я нажимаю на кнопку с именем 'СкладыПолучателиДобавить'
	И в таблице "СкладыПолучатели" из выпадающего списка с именем "СкладыПолучателиСклад" я выбираю по строке 'ИмяСклада'
	И в таблице "СкладыПолучатели" я завершаю редактирование строки

Сценарий: Я добавляю товарную категорию "ИмяТоварнойКатегории" в настройку формирования планов отгрузки

	И в таблице "ТоварныеКатегории" я нажимаю на кнопку с именем 'ТоварныеКатегорииДобавить'
	И в таблице "ТоварныеКатегории" из выпадающего списка с именем "ТоварныеКатегорииТоварнаяКатегория" я выбираю по строке 'ИмяТоварнойКатегории'
	И в таблице "ТоварныеКатегории" я завершаю редактирование строки

Сценарий: Я заканчиваю создавать настройку формирования планов отгрузки

	И я нажимаю на кнопку с именем 'ФормаЗаписать'
	Тогда открылось окно '* (Настройка формирования планов отгрузки)'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна '* (Настройка формирования планов отгрузки)' в течение 20 секунд
	Тогда открылось окно 'Настройки формирования планов отгрузки'
	И Я закрываю окно 'Настройки формирования планов отгрузки'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: Я создаю состояние "ИмяСостояния" для документа "ИмяДокумента"

	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку с именем 'Справочникк2СостоянияДокументовОткрытьСписок'
	Тогда открылось окно 'Состояния документов'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Состояние документа (создание)'
	И в поле с именем 'Наименование' я ввожу текст 'ИмяСостояния'
	И из выпадающего списка с именем "ТипДокумента" я выбираю точное значение 'ИмяДокумента'
	И я устанавливаю флаг с именем 'ИспользоватьПриФормированииПлановОтгрузки'
	И я снимаю флаг с именем 'ИспользоватьПроверки'
	И я снимаю флаг с именем 'ЗапретВыполненияДвижений'
	И я снимаю флаг с именем 'ЗапретОтгрузки'
	И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
	И я жду закрытия окна 'Состояние документа (создание) *' в течение 20 секунд
	Тогда открылось окно 'Состояния документов'
	И Я закрываю окно 'Состояния документов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: Я задаю прогнозный остаток "пДата" "пСклад" "пНоменлатура" "пХарактеристика" "пОстаток"

	И В командном интерфейсе я выбираю 'Планирование' 'Прогнозные остатки производства'
	Тогда я жду открытия окна 'Прогнозные остатки производства' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Прогнозные остатки производства (создание)' в течение 20 секунд
	* Ввод
		И в поле с именем 'Дата' я ввожу текст "пДата"
		И из выпадающего списка "Склад" я выбираю по строке "пСклад"
		И из выпадающего списка "Номенклатура" я выбираю по строке "пНоменлатура"
		И из выпадающего списка "Характеристика" я выбираю по строке "пХарактеристика"
		И в поле 'Остаток' я ввожу текст "пОстаток"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Прогнозные остатки производства (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Прогнозные остатки производства' в течение 20 секунд
	И Я закрываю окно 'Прогнозные остатки производства'

Сценарий: Я задаю прогнозный остаток для номенклатуры без характеристики "пДата" "пСклад" "пНоменлатура" "пОстаток"

	И В командном интерфейсе я выбираю 'Планирование' 'Прогнозные остатки производства'
	Тогда я жду открытия окна 'Прогнозные остатки производства' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Прогнозные остатки производства (создание)' в течение 20 секунд
	* Ввод
		И в поле с именем 'Дата' я ввожу текст "пДата"
		И из выпадающего списка "Склад" я выбираю по строке "пСклад"
		И из выпадающего списка "Номенклатура" я выбираю по строке "пНоменлатура"
		И в поле 'Остаток' я ввожу текст "пОстаток"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Прогнозные остатки производства (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Прогнозные остатки производства' в течение 20 секунд
	И Я закрываю окно 'Прогнозные остатки производства'

Сценарий: Я начинаю создавать заявку на производство "зДатаВыпуска" "зСкладВыпуска" "зСценарий"

	И В командном интерфейсе я выбираю 'Планирование' 'Заявки на производство'
	Тогда открылось окно 'Заявки на производство'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заявка на производство (создание)'
	И в поле с именем 'ДатаЗадания' я ввожу текст 'зДатаВыпуска'
	И из выпадающего списка с именем "СкладВыпуска" я выбираю по строке 'зСкладВыпуска'
	И из выпадающего списка с именем "Сценарий" я выбираю по строке 'зСценарий'
	И я перехожу к закладке с именем "ГруппаПродукция"

Сценарий: Я добавляю в заявку на производство номенклатуру "Номенклатура" "Характеристика" "Количество"

	И в таблице "Продукция" я нажимаю на кнопку с именем 'ПродукцияДобавить'
	И в таблице "Продукция" из выпадающего списка с именем "ПродукцияНоменклатура" я выбираю по строке 'Номенклатура'
	И в таблице "Продукция" из выпадающего списка с именем "ПродукцияХарактеристика" я выбираю по строке 'Характеристика'
	И в таблице "Продукция" в поле с именем 'ПродукцияКоличество' я ввожу текст 'Количество'
	И в таблице "Продукция" я завершаю редактирование строки

Сценарий: Я добавляю в заявку на производство номенклатуру без характеристики "Номенклатура" "Количество"

	И в таблице "Продукция" я нажимаю на кнопку с именем 'ПродукцияДобавить'
	И в таблице "Продукция" из выпадающего списка с именем "ПродукцияНоменклатура" я выбираю по строке 'Номенклатура'
	И в таблице "Продукция" в поле с именем 'ПродукцияКоличество' я ввожу текст 'Количество'
	И в таблице "Продукция" я завершаю редактирование строки

Сценарий: Я заканчиваю создавать заявку на производство

	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Заявка на производство (создание) *' в течение 20 секунд
	Тогда открылось окно 'Заявки на производство'
	И Я закрываю окно 'Заявки на производство'

Сценарий: Я открываю АРМ Формирование плана отгрузки и выбираю настройку формирования "ИмяНастройкиФормированияПлановОтгрузки"

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Формирование плана отгрузки'
	Тогда открылось окно 'Формирование планов отгрузки *'
	И из выпадающего списка с именем "НастройкаФормирования" я выбираю по строке 'ИмяНастройкиФормированияПлановОтгрузки'
	И я нажимаю на кнопку с именем 'ТоварыОбновитьТаблицуТовары'

Сценарий: Я проверяю что поле заказано для заказа клиента равно "Количество"

	И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаТочкиДоставки_*Заказано_"
	Тогда текст текущей ячейки таблицы "ТаблицаРаспределения" стал равен "Количество"

Сценарий: Я проверяю что поле подтверждено для заказа клиента равно "Количество"

	И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаТочкиДоставки_*Подтверждено_"
	Тогда текст текущей ячейки таблицы "ТаблицаРаспределения" стал равен "Количество"

Сценарий: Я ввожу в поле подтверждено для заказа на перемещение значение "Количество"

	И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаСклад_*Подтверждено_"
	И в таблице "ТаблицаРаспределения" в текущее поле я ввожу текст "Количество"
	И в таблице "ТаблицаРаспределения" я завершаю редактирование строки

Сценарий: Я ввожу в поле подтверждено для заказа клиента значение "Количество"

	И в таблице "ТаблицаРаспределения" я активизирую поле с именем "ТаблицаРаспределенияГруппаТочкиДоставки_*Подтверждено_"
	И в таблице "ТаблицаРаспределения" в текущее поле я ввожу текст "Количество"
	И в таблице "ТаблицаРаспределения" я завершаю редактирование строки

Сценарий: Я устанавливаю этап для заказа клиента

	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ клиента * от * [Создан]'
	И я нажимаю на кнопку с именем 'УстановитьСледующийЭтап'
	И в поле с именем 'Комментарий' я ввожу текст 'Установка этапа'
	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Заказ клиента * от * [Создан] *' в течение 20 секунд
	Тогда открылось окно 'Заказы клиентов'
	И Я закрываю окно 'Заказы клиентов'

Сценарий: Я устанавливаю этап для заказа на перемещение

	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ на перемещение * от * [Создан]'
	И я нажимаю на кнопку с именем 'УстановитьСледующийЭтап'
	И в поле с именем 'Комментарий' я ввожу текст 'Установка этапа'
	И я нажимаю на кнопку с именем 'ФормаПровестиИЗакрыть'
	И я жду закрытия окна 'Заказ на перемещение * от * [Создан] *' в течение 20 секунд
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: Я очищаю все отборы в АРМе Формирование планов отгрузки на вкладке Подтверждение заказов

	И я нажимаю кнопку очистить у поля с именем "ОтборРаспределенияЗаказ"
	И я нажимаю кнопку очистить у поля с именем "ОтборРаспределенияПолучатель"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_ТаблицаРаспределенияТоварнаяКатегория"
	И я нажимаю кнопку очистить у поля с именем "_Отбор_ТаблицаРаспределенияНоменклатура"